// ID:编号, NeedScore:所需积分, RewardItem:奖励物品ID, RewardCount:奖励物品数量

export default class M_DailyQuestRewardCFG {
  private static data =
      {"1":{"ID":1,"NeedScore":30,"RewardItem":[1,5,243],"RewardCount":[30000,5,1]}

      ,"2":{"ID":2,"NeedScore":50,"RewardItem":[1,16,243],"RewardCount":[50000,20,1]}

      ,"3":{"ID":3,"NeedScore":80,"RewardItem":[1,17],"RewardCount":[80000,5]}

      ,"4":{"ID":4,"NeedScore":100,"RewardItem":[1,44],"RewardCount":[200000,5]}

      }// ID:编号, NeedScore:所需积分, RewardItem:奖励物品ID, RewardCount:奖励物品数量


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}